// Bootstrap variables
$white:    #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black:    #000 !default;

$blue:    #1177d1 !default;
$indigo:  #6610f2 !default;
$purple:  #613d7c !default;
$pink:    #e83e8c !default;
$red:     #d43f3a !default;
$orange:  #f0ad4e !default;
$yellow:  #ff7518 !default;
$green:   #398439 !default;
$teal:    #20c997 !default;
$cyan:    #5bc0de !default;

$primary:       #1968BE !default;
$success:       $green !default;
$info:          $cyan !default;
$warning:       $orange !default;
$danger:        $red !default;
$secondary:     $gray-400 !default;

$info-outline:    #1f7e9a;
$warning-outline: #a6670e;

// Options
$enable-rounded: false !default;
$enable-responsive-font-sizes: true !default;

// Body
$body-color:    $gray-800 !default;
$card-bg: rgba(255, 255, 255, 0.98)!default;
$body-bg: #b8c1ca !default;
$drawer-bg:	lighten($body-bg, 15%)!default;

// Fonts
$font-size-base: 0.9375rem !default;
$rfs-base-font-size: 0.9rem !default;
$headings-font-weight:   300 !default;

// Breadcrumbs
$breadcrumb-padding-y:              .25rem !default;
$breadcrumb-padding-x:              0 !default;
$breadcrumb-item-padding:           .5rem !default;
$breadcrumb-margin-bottom:          0 !default;
$breadcrumb-bg:                     transparent !default;

// Floating elements positions
$gototop-bottom-position: 50px !default;

// Alerts
$alert-border-width:                0 !default;


// paper SCSS for the theme.

// REBEL variables
$navbar-bg: #E6EDDD !default;
$navbartextcolor: #000 !default;
$header-bg: #ecefe8 !default;
$headerimageheight: 500px !default;
$headerlinks-bg: #498482 !default;
$headerlinks-link: #fff !default;
$footer-bg: $navbar-bg !default;
$footerlinkcolor: $black !default;
$footertextcolor: $black !default;
$sidebar-bg: #ea4d4d !default;
$sidebar-iconcolor: $white !default;
$sidebar-ahover-bg: $black !default;
$sidebar-aattention: #4caf50 !default;
$sidebar-borderright-color: $sidebar-aattention !default;
$easyenrolltextcolor: $gray-700 !default;
$easyenroll-bg: $gray-200 !default;


// Tabs
$nav-tabs-border-color:             $gray-300 !default;
$nav-tabs-link-hover-border-color:  $gray-200 $gray-200 $nav-tabs-border-color !default;
$nav-tabs-link-active-color:        $gray-700 !default;
$nav-tabs-link-active-bg:           $gray-200 !default;
$nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg !default;

// Breadcrumb
$breadcrumbblock: #498482 !default;
$breadcrumbblock-darken: #097370 !default;
$breadcrumbblock-highlight: #1abc9c !default;
$breadcrumbblock-highlight-darken: #16a085 !default;
$breadcrumblinkcolor: $white !default;
$breadcrumblinkcolor-hover: $black !default;

// stylelint-disable
$theme-colors: () !default;
$theme-colors: map-merge((
    primary: $primary,
    secondary: $secondary,
    success: $success,
    info: $info,
    warning: $warning,
    danger: $danger,
), $theme-colors);
// stylelint-enable


// Import FontAwesome.
@import "../../boost/scss/fontawesome";

// Import All of Bootstrap
@import "../../boost/scss/bootstrap";

// Import Core moodle CSS
@import "../../boost/scss/moodle";

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


div#learningcontent {
  padding: 2px;
background-color: #fff;
  position: relative;
}

@media (min-width: 700px) {
  div#learningcontent,
  div#learningcontent::before,
  div#learningcontent::after {
    /* Styles to distinguish sheets from one another */
    box-shadow: 1px 1px 1px rgba(0,0,0,0.25);
    border: 1px solid #bbb;
  }
  div#learningcontent::before,
  div#learningcontent::after {
    content: "";
    position: absolute;
    height: 95%;
    width: 99%;
    background-color: #fff;
  }
  div#learningcontent::before {
    right: 15px;
    top: 0;
    transform: rotate(-1deg);
    z-index: -1;
  max-height: 2000px;
  }
  div#learningcontent::after {
    top: 5px;
    right: -5px;
    transform: rotate(1deg);
    z-index: -1;
  max-height: 1200px;
  }
}
.page-context-header .page-header-headings, .page-context-header .header-button-group {
    color: $gray-800;
}
aside#block-region-side-pre.block-region .block {
   box-shadow:
    /* The top layer shadow */
    0 1px 1px rgba(0,0,0,0.15),
    /* The second layer */
    0 10px 0 -5px #eee,
    /* The second layer shadow */
    0 10px 1px -4px rgba(0,0,0,0.15),
    /* The third layer */
    0 20px 0 -10px #eee,
    /* The third layer shadow */
    0 20px 1px -9px rgba(0,0,0,0.15);
  /* Padding for demo purposes */
  margin-bottom: 2.5rem!important;
}
aside#block-region-side-pre.block-region .block.card:before {
    content:"";
    position:absolute;
    top:0;
    right:0;
    border-width:0 40px 40px 0;
    border-style:solid;
    border-color:#ccc #fff;
}

.course-content .section-summary {
    border: 0;
}

.sidebar {
    border-width: 2px 2px 2px 0;
    border-style: solid;
}

body {
    background-image: url([[pix:theme_rebel|paperbackgroundimage]]);
    background-repeat: repeat;
}

// Collapsible Topics Format Styling
.format-collapsibletopics li#section-0 {
    background-color: #e3eaf5;
    padding: 1rem;
    border-top: 7px solid;
    border-radius: 4px;
}
.format-collapsibletopics div#collapse-0 {
    background-color: #fff;
    padding: 1rem;
    border-radius: 4px;
}
.format-collapsibletopics div#collapse-0 img.activityicon {
    height: 60px;
    width: 60px;
    vertical-align: middle;
}

.format-collapsibletopics div#collapse-0 li.activity {
    margin-bottom: 1rem;
}
.format-collapsibletopics div#collapse-0 li.activity:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem;
}
.format-collapsibletopics li.activity {
    padding: .25rem;
    border: 1px solid transparent;
    min-width: 100%;
}
.format-collapsibletopics li.activity:hover {
    background-color: $navbar-bg;
    border: 1px solid $gray-300;
    border-radius: 4px;
    padding: .25rem;
}
.section .activity.modtype_label.label {
    padding: .25rem;
}
.format-collapsibletopics li.activity.label:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem;
}
.format-collapsibletopics div#collapse-0 span.instancename {
    font-size: 20px;
    padding-left: .75rem;
}
.format-collapsibletopics .course-content ul li.section.main {
    padding: 1rem 0;
}